%define _optlevel s

Name: kdbg
Version: 2.0.5
Release: alt1

Group: Development/Other
Summary: A Graphical Debugger Interface
License: GPL
URL: http://www.kdbg.org/

Requires: gdb
Requires: %{get_dep kdelibs}

Source: %name-%version.tar.gz
#Patch1: kdbg-1.2.10-using-libthread.patch
Patch1: kdbg-2.0.2-using-libthread.patch
Patch2: kdbg-2.0.4-default_codec.patch
Patch3: kdbg-2.0.4-fix_receive_gdb_output.patch


# Automatically added by buildreq on Mon Mar 22 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kdelibs-devel libpng-devel libqt3-devel libstdc++-devel zlib-devel

BuildRequires: xorg-x11-devel gcc-c++
BuildRequires: kdelibs-devel libpng-devel libqt3-devel libstdc++-devel zlib-devel
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base

%description
KDbg is a graphical user interface to gdb, the GNU debugger.

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

pushd po
rm -f *.gmo ja.po
#rm -f ja.po
subst "s/ja\.gmo//" Makefile.am
#for f in *.po
#do
#    cp $f "$f".tmp
#    CCHARSET=`grep charset "$f".tmp| sed "s/^.*charset=//"| sed "s/\\\\\\.*//"`
#    iconv -f$CCHARSET -tUTF-8 "$f".tmp -o $f ||:
#    rm -f "$f".tmp
#    subst "s/charset\=$CCHARSET/charset=UTF-8/" $f
#done
popd

#subst "s/\.la/.so/g" acinclude.m4
#subst "s/\-lkdeui/-lkdeui -lpthread/g" acinclude.m4

make -f admin/Makefile.common cvs

%build
export QTDIR=%_qt3dir KDEDIR=%prefix
%configure \
	   --disable-rpath \
	   --disable-debug \
	   --disable-final \
	   --with-xinerama \
%ifarch x86_64
	    --enable-libsuffix=64 \
%endif
	   --program-prefix=""

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name


%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc COPYING ChangeLog README
%_bindir/*
%_datadir/apps/kdbg
%_iconsdir/*/*/apps/kdbg.png
#
%_Kmenudir/%name.desktop
%_datadir/config/kdbgrc

%changelog
* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.5-alt1
- new version
- add patches from Alexey Morozov

* Tue Jul 04 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.4-alt2
- fix build on x86_64

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.4-alt1
- new version

* Fri Jan 20 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt1
- new version

* Thu Dec 16 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.10-alt1
- new version
- fix "Using libthread ..."

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.9-alt2
- fix translation encoding
- rebuild with new KDE

* Mon Sep 08 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.9-alt1
- new version

* Tue Jun 24 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.8-alt1
- new version

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.7-alt1
- new version

* Mon Jan 20 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.6-alt2
- fix .po files

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.6-alt1
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.5-alt2
- rebuild with gcc3.2

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.5-alt1
- new version
- build with KDE3

* Fri Jan 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.3-alt2
- rebuild without fam

* Thu Dec 20 2001 Sergey V Turchin <zerg@altlinux.ru> 1.2.3-alt1
- new version

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt3
- fix BuildRequires

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt2
- rebuild with new libpng

* Fri Aug 24 2001 Rider <rider@altlinux.ru> 1.2.2-alt1
- Build for ALT

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.1mdk
- Update code (1.2.2)

* Sat Jun 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.2mdk
- Rebuild with kde2.2alpha2

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.1mdk
- Update code

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.6mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.5mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.4mdk
- Add build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.3mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.2mdk
- rebuild

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-0.1mdk
- new in contribs
